Subject: Re: bug#59286: Documentation for seq-count

From: Heime <[email-masked]>
Date: Wed, 16 Nov 2022 17:59:44 +0000

------- Original Message -------
On Wednesday, November 16th, 2022 at 5:18 PM, Rudolf Adamkovič via "Bug reports for GNU Emacs, the Swiss army knife of text editors" <[email-masked]> wrote:

> Heime via "Bug reports for GNU Emacs, the Swiss army knife of text
> editors" [email-masked] writes:
> 
> > A description that is quite undecipherable.
> 
> 
> I have recently used this function for the first time (when contributing
> to Org), and I found its description exceptionally clear. What do you
> find undecipherable?
> 
> P.S. #1
> 
> It helps to know that "PRED" stands for the English word PREDICATE.

Fine, but how do you use that?  No information, no example.  Seems to me that
authors of documentation willfully avoid showing examples or where to find them.

> Experienced users and native speakers may laugh, but the fact that "BEG"
> does not mean "to beg" but "the beginning", adds completely unnecessary
> cognitive overhead to some. The same applies to "PRED".
> 
> (The Scheme standard, for example, also uses shorthand forms, such as
> "obj", but it lists all of them, right at the beginning. Perhaps Emacs
> has such a list too? If so, the help browser should use it to assist
> the user to make sense of these non-words.)
> 
> P.S. #2
> 
> When I used this function, I wished it would take ELEMENT-OR-PREDICATE,
> so that
> 
> (seq-count 2 '(0 2 2 2 0)) => 3,
> 
> 
> and I still wonder if Emacs comes with any such function.
> 
> (I ended up using `equal' wrapped in the PREDICATE.)
> 
> Rudy
> --
> "Mathematics takes us still further from what is human into the region
> of absolute necessity, to which not only the actual world, but every
> possible world, must conform."
> -- Bertrand Russell, 1902
> 
> Rudolf Adamkovič [email-masked] [he/him]
> 
> Studenohorská 25
> 84103 Bratislava
> Slovakia
>